# DataExchange
TKVRML
Vrml

# Vrml_Material Class Reference

defines a Material node of VRML specifying properties of geometry
and its appearance.
This node defines the current surface material properties for all subsequent shapes.
Material sets several components of the current material during traversal. Different shapes
interpret materials with multiple values differently. To bind materials to shapes, use a
MaterialBinding node.

`#include <Vrml_Material.hxx>`

## Public Member Functions

Standard_EXPORT | Vrml_Material (const Handle(Quantity_HArray1OfColor)&aAmbientColor, const Handle(Quantity_HArray1OfColor)&aDiffuseColor, const Handle(Quantity_HArray1OfColor)&aSpecularColor, const Handle(Quantity_HArray1OfColor)&aEmissiveColor, const Handle(TColStd_HArray1OfReal)&aShininess, const Handle(TColStd_HArray1OfReal)&aTransparency)
Standard_EXPORT | Vrml_Material ()
Standard_EXPORT void | SetAmbientColor (const Handle(Quantity_HArray1OfColor)&aAmbientColor)
Standard_EXPORT Handle_Quantity_HArray1OfColor | AmbientColor () const
Standard_EXPORT void | SetDiffuseColor (const Handle(Quantity_HArray1OfColor)&aDiffuseColor)
Standard_EXPORT Handle_Quantity_HArray1OfColor | DiffuseColor () const
Standard_EXPORT void | SetSpecularColor (const Handle(Quantity_HArray1OfColor)&aSpecularColor)
Standard_EXPORT Handle_Quantity_HArray1OfColor | SpecularColor () const
Standard_EXPORT void | SetEmissiveColor (const Handle(Quantity_HArray1OfColor)&aEmissiveColor)
Standard_EXPORT Handle_Quantity_HArray1OfColor | EmissiveColor () const
Standard_EXPORT void | SetShininess (const Handle(TColStd_HArray1OfReal)&aShininess)
Standard_EXPORT Handle_TColStd_HArray1OfReal | Shininess () const
Standard_EXPORT void | SetTransparency (const Handle(TColStd_HArray1OfReal)&aTransparency)
Standard_EXPORT Handle_TColStd_HArray1OfReal | Transparency () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Quantity_HArray1OfColor | myAmbientColor
Handle_Quantity_HArray1OfColor | myDiffuseColor
Handle_Quantity_HArray1OfColor | mySpecularColor
Handle_Quantity_HArray1OfColor | myEmissiveColor
Handle_TColStd_HArray1OfReal | myShininess
Handle_TColStd_HArray1OfReal | myTransparency

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Material::Vrml_Material | ( | const Handle(Quantity_HArray1OfColor)& | aAmbientColor,
|  | const Handle(Quantity_HArray1OfColor)& | aDiffuseColor,
|  | const Handle(Quantity_HArray1OfColor)& | aSpecularColor,
|  | const Handle(Quantity_HArray1OfColor)& | aEmissiveColor,
|  | const Handle(TColStd_HArray1OfReal)& | aShininess,
|  | const Handle(TColStd_HArray1OfReal)& | aTransparency
| ) |

Standard_EXPORT Vrml_Material::Vrml_Material | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_Quantity_HArray1OfColor Vrml_Material::AmbientColor | ( |  | ) | const

Standard_EXPORT Handle_Quantity_HArray1OfColor Vrml_Material::DiffuseColor | ( |  | ) | const

Standard_EXPORT Handle_Quantity_HArray1OfColor Vrml_Material::EmissiveColor | ( |  | ) | const

Standard_EXPORT const Vrml_Material::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_OStream& Vrml_Material::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_Material::SetAmbientColor | ( | const Handle(Quantity_HArray1OfColor)& | aAmbientColor | ) |

Standard_EXPORT void Vrml_Material::SetDiffuseColor | ( | const Handle(Quantity_HArray1OfColor)& | aDiffuseColor | ) |

Standard_EXPORT void Vrml_Material::SetEmissiveColor | ( | const Handle(Quantity_HArray1OfColor)& | aEmissiveColor | ) |

Standard_EXPORT void Vrml_Material::SetShininess | ( | const Handle(TColStd_HArray1OfReal)& | aShininess | ) |

Standard_EXPORT void Vrml_Material::SetSpecularColor | ( | const Handle(Quantity_HArray1OfColor)& | aSpecularColor | ) |

Standard_EXPORT void Vrml_Material::SetTransparency | ( | const Handle(TColStd_HArray1OfReal)& | aTransparency | ) |

Standard_EXPORT Handle_TColStd_HArray1OfReal Vrml_Material::Shininess | ( |  | ) | const

Standard_EXPORT Handle_Quantity_HArray1OfColor Vrml_Material::SpecularColor | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfReal Vrml_Material::Transparency | ( |  | ) | const

## Field Documentation

Handle_Quantity_HArray1OfColor Vrml_Material::myAmbientColor `[private]`

Handle_Quantity_HArray1OfColor Vrml_Material::myDiffuseColor `[private]`

Handle_Quantity_HArray1OfColor Vrml_Material::myEmissiveColor `[private]`

Handle_TColStd_HArray1OfReal Vrml_Material::myShininess `[private]`

Handle_Quantity_HArray1OfColor Vrml_Material::mySpecularColor `[private]`

Handle_TColStd_HArray1OfReal Vrml_Material::myTransparency `[private]`

The documentation for this class was generated from the following file:

- Vrml_Material.hxx